Create knowledge base
POST
Create a new knowledge base for an agent.
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
senderIdstringrequired
Body
application/json
namestringrequiredLimitsmax length 100descriptionstring
Responses
201Knowledge base created.
knowledgeBaseobjectrequired8 properties
idstringrequiredagentIdstringrequirednamestringrequireddescriptionstringdocumentCountintegerrequiredtotalChunksintegerrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
400Invalid request.
codestringrequiredmessagestringrequireddetailsobject
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Agent not found.
codestringrequiredmessagestringrequireddetailsobject